=== debian/changelog ===
phonopy (2.13.1-1) unstable; urgency=medium

  * New upstream version 2.13.1
  * Updating debian/copyright.
  * Updating manpages.

 -- Andrius Merkys <merkys@debian.org>  Thu, 17 Feb 2022 02:11:06 -0500

phonopy (2.12.0-2) unstable; urgency=medium

  [ Andrius Merkys ]
  * python3-phonopy Depends on python3-scipy (Closes: #1000466).

  [ lintian-brush ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andrius Merkys <merkys@debian.org>  Wed, 24 Nov 2021 04:16:43 -0500

phonopy (2.12.0-1) unstable; urgency=medium

  * New upstream version 2.12.0
  * Build depends python3-all:any -> python3:any.
  * Using dh_auto_test to run pytest.
  * Updating manpages.
  * Adding autopkgtest.

 -- Andrius Merkys <merkys@debian.org>  Mon, 22 Nov 2021 07:46:54 -0500

phonopy (2.11.0-1) unstable; urgency=medium

  * Initial release (Closes: #996196)

 -- Andrius Merkys <merkys@debian.org>  Tue, 12 Oct 2021 10:15:13 -0400
