=== debian/control ===
Source: phonopy
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-python,
 python3-dev,
 python3-numpy,
 python3-pytest <!nocheck>,
 python3-scipy <!nocheck>,
 python3-spglib <!nocheck>,
 python3-yaml <!nocheck>,
 python3:any,
Standards-Version: 4.6.0
Section: libs
Homepage: https://phonopy.github.io/phonopy/
Vcs-Browser: https://salsa.debian.org/debichem-team/phonopy
Vcs-Git: https://salsa.debian.org/debichem-team/phonopy.git
Rules-Requires-Root: no

Package: libphpy-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libphpy1 (= ${binary:Version}),
 ${misc:Depends},
Description: phonon calculations at harmonic and quasi-harmonic levels (development files)
 Phonopy is an open source package for phonon calculations at harmonic and
 quasi-harmonic levels.
 .
 This library contains development files.

Package: libphpy1
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: phonon calculations at harmonic and quasi-harmonic levels (shared library)
 Phonopy is an open source package for phonon calculations at harmonic and
 quasi-harmonic levels.
 .
 This package contains the shared library.

Package: python3-phonopy
Section: python
Architecture: any
Depends:
 python3-scipy,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: phonon calculations at harmonic and quasi-harmonic levels (Python 3)
 Phonopy is an open source package for phonon calculations at harmonic and
 quasi-harmonic levels.
 .
 This package contains Python 3 module.
