## phonopy 2.15.1

=== debian/changelog ===
phonopy (2.15.1-1) unstable; urgency=medium

  * New upstream version 2.15.1

 -- Andrius Merkys <merkys@debian.org>  Mon, 30 May 2022 04:11:43 -0400

phonopy (2.15.0-1) unstable; urgency=medium

  * New upstream version 2.15.0
  * Update manpages.

 -- Andrius Merkys <merkys@debian.org>  Wed, 25 May 2022 02:14:00 -0400

phonopy (2.14.0-1) unstable; urgency=medium

  * New upstream version 2.14.0

 -- Andrius Merkys <merkys@debian.org>  Mon, 11 Apr 2022 04:27:56 -0400
