## phonopy 2.17.0

=== debian/changelog ===
phonopy (2.17.0-1) unstable; urgency=medium

  * New upstream version 2.17.0

 -- Andrius Merkys <merkys@debian.org>  Sun, 11 Dec 2022 02:46:14 -0500

phonopy (2.16.3-1) unstable; urgency=medium

  * New upstream version 2.16.3

 -- Andrius Merkys <merkys@debian.org>  Fri, 07 Oct 2022 02:05:07 -0400

phonopy (2.16.2-1) unstable; urgency=medium

  * New upstream version 2.16.2
  * Update standards version to 4.6.1, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Mon, 19 Sep 2022 08:39:49 -0400
