=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
  python3-numpy,
  python3-pytest <!nocheck>,
  python3-scipy <!nocheck>,
+ python3-setuptools,
  python3-spglib <!nocheck>,
  python3-yaml <!nocheck>,
  python3:any,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Section: libs
 Homepage: https://phonopy.github.io/phonopy/
 Vcs-Browser: https://salsa.debian.org/debichem-team/phonopy
