## phonopy 2.17.1

=== requirements.txt ===
numpy >= 1.15.0
PyYAML
matplotlib >= 2.2.2
h5py
spglib
