=== debian/changelog ===
phonopy (2.17.1-1) unstable; urgency=medium

  * New upstream version 2.17.1
  * Update standards version to 4.6.2, no changes needed.
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Tue, 03 Jan 2023 09:24:03 -0500
