=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-spglib <!nocheck>,
  python3-yaml <!nocheck>,
  python3:any,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://phonopy.github.io/phonopy/
 Vcs-Browser: https://salsa.debian.org/debichem-team/phonopy
