=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@ --buildsystem cmake --with python3
 
 override_dh_auto_configure:
-	dh_auto_configure
+	dh_auto_configure -- -DPHONOPY=ON -DBUILD_SHARED_LIBRARIES=ON
 	dh_auto_configure --buildsystem=pybuild
 
 override_dh_auto_build:
