=== debian/tests/control ===
Test-Command: pytest-3
Depends:
 python3-phonopy,
 python3-pytest,
