=== debian/changelog ===
phonopy (2.21.2-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:37:38 +0000

phonopy (2.21.2-1) unstable; urgency=medium

  * New upstream version 2.21.2
  * Build for all supported Python versions.

 -- Andrius Merkys <merkys@debian.org>  Wed, 21 Feb 2024 03:18:21 -0500

phonopy (2.21.0-1) unstable; urgency=medium

  * New upstream version 2.21.0
  * Executables depend on python3-spglib.

 -- Andrius Merkys <merkys@debian.org>  Fri, 08 Dec 2023 04:55:16 -0500

phonopy (2.20.0-1) unstable; urgency=medium

  * New upstream version 2.20.0
  * Update debian/copyright.
  * Simplify debian/rules.
  * Switch to Testsuite: autopkgtest-pkg-pybuild.

 -- Andrius Merkys <merkys@debian.org>  Tue, 12 Sep 2023 01:59:53 -0400
