=== debian/control ===
--- 
+++ 
@@ -6,21 +6,21 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
- dh-python,
- python3-dev,
+ dh-sequence-python3,
+ python3-all-dev,
  python3-numpy,
  python3-pytest <!nocheck>,
  python3-scipy <!nocheck>,
  python3-setuptools,
  python3-spglib <!nocheck>,
  python3-yaml <!nocheck>,
- python3:any,
 Standards-Version: 4.6.2
 Section: libs
 Homepage: https://phonopy.github.io/phonopy/
 Vcs-Browser: https://salsa.debian.org/debichem-team/phonopy
 Vcs-Git: https://salsa.debian.org/debichem-team/phonopy.git
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: libphpy-dev
 Section: libdevel
@@ -52,6 +52,7 @@
 Architecture: any
 Depends:
  python3-scipy,
+ python3-spglib,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
