=== debian/rules ===
--- 
+++ 
@@ -5,26 +5,22 @@
 export PYBUILD_NAME = phonopy
 
 %:
-	dh $@ --buildsystem cmake --with python3
+	dh $@ --buildsystem cmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DPHONOPY=ON -DBUILD_SHARED_LIBRARIES=ON
 	dh_auto_configure --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	dh_auto_build --buildsystem=pybuild
 
-override_dh_auto_test:
-	dh_auto_test
+execute_after_dh_auto_test:
 	dh_auto_test --buildsystem=pybuild -- --test-pytest
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	dh_auto_install --buildsystem=pybuild
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	dh_auto_clean --buildsystem=pybuild
 	rm -rf phonopy.egg-info
