## phonopy 2.23.1

=== debian/changelog ===
phonopy (2.23.1-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2024 14:40:46 +0100

phonopy (2.23.1-1) unstable; urgency=medium

  * New upstream version 2.23.1

 -- Andrius Merkys <merkys@debian.org>  Mon, 06 May 2024 01:55:12 -0400

phonopy (2.22.1-1) unstable; urgency=medium

  * New upstream version 2.22.1

 -- Andrius Merkys <merkys@debian.org>  Wed, 10 Apr 2024 04:00:04 -0400
