=== debian/changelog ===
phonopy (2.35.0-1) unstable; urgency=medium

  * New upstream version 2.35.0 (Closes: #1094728)
  * Bump copyright years.
  * Switch buildsystem to pybuild.
  * Drop the shared library which is not built by default anymore.

 -- Andrius Merkys <merkys@debian.org>  Mon, 03 Feb 2025 03:47:28 -0500
