=== debian/control ===
Source: phonopy
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-sequence-python3,
 nanobind-dev,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-numpy,
 python3-pytest <!nocheck>,
 python3-scikit-build-core,
 python3-scipy <!nocheck>,
 python3-setuptools-scm,
 python3-spglib <!nocheck>,
 python3-yaml <!nocheck>,
Standards-Version: 4.6.2
Section: libs
Homepage: https://phonopy.github.io/phonopy/
Vcs-Browser: https://salsa.debian.org/debichem-team/phonopy
Vcs-Git: https://salsa.debian.org/debichem-team/phonopy.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-phonopy
Section: python
Architecture: any
Depends:
 python3-scipy,
 python3-spglib,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: phonon calculations at harmonic and quasi-harmonic levels (Python 3)
 Phonopy is an open source package for phonon calculations at harmonic and
 quasi-harmonic levels.
 .
 This package contains Python 3 module.
