## phonopy 2.38.0

=== debian/changelog ===
phonopy (2.38.0-2) unstable; urgency=medium

  * Team upload.
  [ Sergio Durigan Junior ]
  * d/p/pyproject.toml.path: Remove unnecessary patch. (Closes: #1102770)

 -- Santiago Vila <sanvila@debian.org>  Sat, 12 Apr 2025 23:44:00 +0200

phonopy (2.38.0-1) unstable; urgency=medium

  * New upstream version 2.38.0

 -- Andrius Merkys <merkys@debian.org>  Fri, 21 Mar 2025 02:42:19 -0400
