## phonopy 2.38.1

=== debian/changelog ===
phonopy (2.38.1-1) unstable; urgency=medium

  * New upstream version 2.38.1

 -- Andrius Merkys <merkys@debian.org>  Thu, 17 Apr 2025 00:28:00 -0400
