## phonopy 2.38.2

=== debian/changelog ===
phonopy (2.38.2-1) unstable; urgency=medium

  * New upstream version 2.38.2

 -- Andrius Merkys <merkys@debian.org>  Fri, 09 May 2025 02:42:27 -0400
