=== debian/changelog ===
phonopy (2.43.2-1) unstable; urgency=medium

  * New upstream version 2.43.2

 -- Andrius Merkys <merkys@debian.org>  Tue, 21 Oct 2025 02:34:26 -0400
