=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  python3-scipy <!nocheck>,
  python3-setuptools-scm,
  python3-spglib <!nocheck>,
+ python3-symfc <!nocheck>,
  python3-yaml <!nocheck>,
 Standards-Version: 4.6.2
 Section: libs
