=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%phonopy-$1.tar.gz%" \
 https://github.com/phonopy/phonopy/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
