## phonopy 2.44.0

=== debian/changelog ===
phonopy (2.44.0-1) unstable; urgency=medium

  * New upstream version 2.44.0

 -- Andrius Merkys <merkys@debian.org>  Wed, 19 Nov 2025 03:48:26 -0500
