## phonopy 2.47.1

=== debian/changelog ===
phonopy (2.47.1-2) unstable; urgency=medium

  * Add two missing test dependencies (Closes: #1125654)

 -- Andrius Merkys <merkys@debian.org>  Fri, 16 Jan 2026 03:31:06 -0500

phonopy (2.47.1-1) unstable; urgency=medium

  * New upstream version 2.47.1

 -- Andrius Merkys <merkys@debian.org>  Thu, 15 Jan 2026 08:37:04 -0500
