=== debian/control ===
--- 
+++ 
@@ -10,12 +10,14 @@
  nanobind-dev,
  pybuild-plugin-pyproject,
  python3-all-dev,
+ python3-h5py <!nocheck>,
+ python3-matplotlib <!nocheck>,
  python3-numpy,
  python3-pytest <!nocheck>,
  python3-scikit-build-core,
  python3-scipy <!nocheck>,
  python3-setuptools-scm,
- python3-spglib <!nocheck>,
+ python3-spglib (>= 2.7.0) <!nocheck>,
  python3-symfc <!nocheck>,
  python3-yaml <!nocheck>,
 Standards-Version: 4.6.2
@@ -31,7 +33,7 @@
 Architecture: any
 Depends:
  python3-scipy,
- python3-spglib,
+ python3-spglib (>= 2.7.0),
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
