=== debian/changelog ===
phonopy (2.48.0-1) unstable; urgency=medium

  * New upstream version 2.48.0
  * Replace dependency on nanobind-dev with python3-nanobind.

 -- Andrius Merkys <merkys@debian.org>  Tue, 24 Feb 2026 09:49:24 -0500
