=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  cmake,
  debhelper-compat (= 13),
  dh-sequence-python3,
- nanobind-dev,
  pybuild-plugin-pyproject,
  python3-all-dev,
  python3-h5py <!nocheck>,
  python3-matplotlib <!nocheck>,
+ python3-nanobind,
  python3-numpy,
  python3-pytest <!nocheck>,
  python3-scikit-build-core,
